<template lang="pug">
div
  partners-section(
    :button-caption="hero_button_caption"
    :content="hero_content"
    :footnote="hero_footnote"
    :image="hero_image"
    :link-caption="hero_link_caption"
    link-scroll
    :link-url="hero_link_url"
    :title="hero_title"
    @showModal="showModal = true"
  )

  about-section#about(
    v-if="show_about"
    :button-caption="about_button_caption"
    button-modal
    :button-url="about_button_url"
    :content="about_content"
    :slides="show_about_gallery ? about_gallery.photos : []"
    :title="about_title"
    @showModal="showModal = true"
  )

  modal.modal--form(
    v-show="showModal"
    @close="closeModal"
  )
    div(slot="body")
      partner-form.is-inview(
        :bg="form_bg"
        :bg-double="form_bg_2x"
        :copy-button="form_copy_button"
        :email-title="form_sent_to_email"
        :share-button="form_share_button"
        :subtitle="form_subtitle"
        :success-content="form_success_message_content"
        :success-title="form_success_message_title"
        :title="form_title"
      )
</template>

<script>
import { pageMixin } from '@/mixins/pages'
import { fetchPage } from '@/utils/asyncPages'
import API from '../api'
import { execMetrikaMethod } from '@/utils/metrika'

export default {
  name: 'IndexPage',

  async asyncData ({ app, error }) {
    return fetchPage(app, error, API.referrals.referralProgramPage())
  },

  data () {
    return {
      showModal: false,
      triggers: []
    }
  },

  methods: {
    closeModal () {
      this.showModal = false
    }
  },

  layout: 'white-header',
  mixins: [pageMixin],

  watch: {
    showModal () {
      if (this.showModal && this.triggers.indexOf('form3-get') < 0) {
        execMetrikaMethod('reachGoal', ['form3-get'])
        this.triggers.push('form3-get')
      }
    }
  }
}
</script>
